// modules/core/removeModules.js
import { EventManager } from './EventManager.js';

/**
 * Entfernt alle bekannten Events zu einem Array von Modulen
 * Optional: Logging oder Cleanup-Hooks ergänzbar
 */
export function removeModules(moduleList) {
    if (!Array.isArray(moduleList)) return;

    moduleList.forEach((module) => {
        EventManager.removeModule(module);
    });
}
